@charset "utf-8";

/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Gabarito:wght@400;500;600;700&display=swap");

:root {
  --color-primary: #190075;
  --color-secondary: #ff0000;
  --color-tertiary: #c603c2;
  --color-accent: #5b3df8;
  --color-primary-blue: #3332ff;
  --color-price-old: rgba(255, 0, 4, 0.7);
  --color-light-black: #212121;
  --color-dark-black: #131313;
  --color-primary-purple: #894ee9;
  --color-secondary-purple: #543BF9;
  --color-secondary-blue: #0a1b6d;
  --color-gray: #aeaeae;
  --color-gray-2: #94a3b8;

  --font-primary: "Inter", sans-serif;
  --font-helvetica-neue: "Helvetica Neue", serif;
  --font-heading: "Gabarito", sans-serif;
}

body {
  font-family: var(--font-primary);
  background: black;
  overflow-x: hidden;
}

h2,
h3 {
  font-family: var(--font-heading);
}

section {
  position: relative;
  padding: 60px 0;
}

.button-primary {
  background: #3332ff;
  border: 2px solid #3332ff;
  color: white;
  padding: 12px 40px;
  border-radius: 40px;
  text-decoration: none;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 3px;
  width: fit-content;
  text-transform: uppercase;
}

.button-secondary {
  background: white;
  border: 2px solid white;
  color: #3332ff;
  padding: 12px 40px;
  border-radius: 40px;
  text-decoration: none !important;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 3px;
  width: fit-content;
  text-transform: uppercase;
  transition: background 0.3s ease, color 0.3s ease, border-color 0.3s ease;

  &:hover {
    background: #3332ff;
    border-color: #3332ff;
    color: white;
  }
}

.button-tertiary {
  background: var(--color-secondary-purple);
  border: 2px solid var(--color-secondary-purple);
  color: white;
  padding: 10px 32px;
  border-radius: 40px;
  text-decoration: none;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 3px;
  width: fit-content;
  text-transform: uppercase;
  transition: background 0.3s ease, color 0.3s ease, border-color 0.3s ease;

  &:hover {
    background: transparent;
    border-color: var(--color-primary-purple);
    color: var(--color-primary-purple);
  }
}

.button-tertiary__white {
  background: transparent;
  border: 2px solid var(--color-accent);
  color: var(--color-accent);
  padding: 10px 40px;
  border-radius: 40px;
  text-decoration: none;
  font-size: 16px;
  font-weight: 500;
  letter-spacing: 1.4px;
  width: fit-content;
  text-transform: uppercase;
  transition: background 0.3s ease, color 0.3s ease, border-color 0.3s ease;

  &:hover {
    background: var(--color-accent);
    border-color: var(--color-accent);
    color: white;
  }
}

.title-colored {
  background: linear-gradient(90deg, #ff2e00 -20.72%, #b526bc 85.73%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-shadow: 5px 5px 20px rgba(181, 38, 188, 0.3);
  font-size: 40px;
  font-weight: 600;
  letter-spacing: 1.2px;
  text-transform: uppercase;
  margin: 0;
  text-align: center;
}

.title-white {
  color: white;
  font-size: 40px;
  font-weight: 700;
  line-height: 40px;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.subtitle {
  color: white;
  text-align: center;
  font-size: 16px;
  font-weight: 700;
  line-height: 26px;
  letter-spacing: 3px;
  text-transform: uppercase;
}

#footer {
  padding: 25px 0;

  h3 {
    font-size: 22px;
    letter-spacing: 3px;
  }

  p,
  a {
    font-weight: 400;
    font-size: 16px;
    text-decoration: none;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: white;
    text-decoration: none;
  }

  li,
  ul {
    margin: 0;
    padding: 0;
    list-style: none;
  }

  .social li a:before {
    content: url("../img/linkedin-footer-logo.png");
    display: inline-block;
    width: 22px;
    height: 22px;
    position: absolute;
    margin-top: 2px;
  }

  .social li a span {
    padding-left: 32px;
  }
}

footer {
  background: black;
  color: white;
  font-size: 18px;
  line-height: 38px;
  padding: 10px 0;
  min-height: 45px;
  font-weight: 700;
}

.footer-copyright,
.footer-email,
.footer-link {
  text-transform: uppercase;
}

.footer-email,
.footer-link {
  text-decoration: none;
}

.footer-link:hover,
.footer-email:hover {
  opacity: 0.8;
}

.footer-copyright-line,
.footer-copyright-text,
.footer-terms-link {
  line-height: 30px;
  font-weight: 400;
}

.footer-terms-link {
  font-weight: 700;
}
